%define _use_internal_dependency_generator 0

Summary: HTML-Table perl module
Name: perl-HTML-Table
Version: 2.02
Release: 1gls
License: distributable
Group: Applications/CPAN
Source0: HTML-Table-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-HTML-Table-buildroot/
BuildRequires: perl >= 5.6
Requires: perl >= 5.6
BuildArch: noarch

%description
HTML::Table is used to generate HTML tables for CGI scripts.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n HTML-Table-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > HTML-Table-%{version}-filelist
if [ "$(cat HTML-Table-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f HTML-Table-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Jul 14 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- initial spec file swiped from some other existing FC2 perl-Something.spec
